---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach015Target.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x58120, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5A060, symBinAddr: 0xA0D0, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5A450, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5B3F0, symBinAddr: 0xB460, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5B400, symBinAddr: 0xB470, symSize: 0x0 }
  - { offsetInCU: 0x8DA0, offset: 0x8DA0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x57D90, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x8DAB, offset: 0x8DAB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x57D94, symBinAddr: 0x8074, symSize: 0x0 }
  - { offsetInCU: 0x8DB6, offset: 0x8DB6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x57D98, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x8DFB, offset: 0x8DFB, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x57EF0, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x8E68, offset: 0x8E68, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x57FA8, symBinAddr: 0x8138, symSize: 0x0 }
  - { offsetInCU: 0x8E86, offset: 0x8E86, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x57FAC, symBinAddr: 0x813C, symSize: 0x0 }
  - { offsetInCU: 0x8E9F, offset: 0x8E9F, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x57FB0, symBinAddr: 0x8140, symSize: 0x0 }
  - { offsetInCU: 0x8EB8, offset: 0x8EB8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x57FB4, symBinAddr: 0x8144, symSize: 0x0 }
  - { offsetInCU: 0x8ED1, offset: 0x8ED1, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x57FB8, symBinAddr: 0x8148, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x57FC0, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x57FD8, symBinAddr: 0x8168, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x57FE0, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x57FE8, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x57FF0, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x57FF8, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xD90, symSize: 0x80 }
  - { offsetInCU: 0x918C, offset: 0x918C, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xCE0, symSize: 0xB0 }
  - { offsetInCU: 0x91E7, offset: 0x91E7, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xBE0, symSize: 0x100 }
  - { offsetInCU: 0x947A, offset: 0x947A, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xE10, symSize: 0x220 }
  - { offsetInCU: 0x965F, offset: 0x965F, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1030, symSize: 0xA0 }
  - { offsetInCU: 0x9712, offset: 0x9712, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x10D0, symSize: 0x110 }
  - { offsetInCU: 0x9808, offset: 0x9808, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x11E0, symSize: 0x150 }
  - { offsetInCU: 0x9939, offset: 0x9939, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1330, symSize: 0x30 }
  - { offsetInCU: 0x99C2, offset: 0x99C2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1360, symSize: 0x150 }
  - { offsetInCU: 0x9BBA, offset: 0x9BBA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x14B0, symSize: 0x160 }
  - { offsetInCU: 0x9D46, offset: 0x9D46, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1610, symSize: 0x1B0 }
  - { offsetInCU: 0x9F61, offset: 0x9F61, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x17C0, symSize: 0xA0 }
  - { offsetInCU: 0xA030, offset: 0xA030, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1860, symSize: 0x20 }
  - { offsetInCU: 0xA067, offset: 0xA067, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1880, symSize: 0x20 }
  - { offsetInCU: 0xA09E, offset: 0xA09E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x18A0, symSize: 0x20 }
  - { offsetInCU: 0xA20D, offset: 0xA20D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x18C0, symSize: 0x1A0 }
  - { offsetInCU: 0xA502, offset: 0xA502, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1A60, symSize: 0x80 }
  - { offsetInCU: 0xA5CB, offset: 0xA5CB, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x1AE0, symSize: 0x6A0 }
  - { offsetInCU: 0xB160, offset: 0xB160, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB310, symBinAddr: 0x2870, symSize: 0xB0 }
  - { offsetInCU: 0xB1D7, offset: 0xB1D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x2180, symSize: 0x70 }
  - { offsetInCU: 0xB273, offset: 0xB273, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x21F0, symSize: 0xA0 }
  - { offsetInCU: 0xB352, offset: 0xB352, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x2290, symSize: 0x40 }
  - { offsetInCU: 0xB448, offset: 0xB448, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x22D0, symSize: 0x2B0 }
  - { offsetInCU: 0xB7EE, offset: 0xB7EE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2580, symSize: 0xC0 }
  - { offsetInCU: 0xB934, offset: 0xB934, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2640, symSize: 0x10 }
  - { offsetInCU: 0xB9F6, offset: 0xB9F6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2650, symSize: 0x220 }
  - { offsetInCU: 0xBCF3, offset: 0xBCF3, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_AttachOnDemand_attach015_attach015Target_loadClassFromNative, symObjAddr: 0xBEE0, symBinAddr: 0x2920, symSize: 0x20 }
  - { offsetInCU: 0xBD64, offset: 0xBD64, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xBF00, symBinAddr: 0x2940, symSize: 0x36A }
...
